# -*- encoding: utf-8 -*-
from django.conf.urls import patterns, url

from .views import *

urlpatterns = patterns(
    '',
    url(r'^$', UpcomingEvents.as_view(), name='upcoming-events'),
    url(r'^(?P<year>[\d]{4})/$', EventArchiveYear.as_view(),
        name='event-archive'),
    url(r'^(?P<year>[\d]{4})/(?P<month>[\d]+)/$', EventArchiveMonth.as_view(),
        name='event-archive'),
    url(r'^(?P<year>[\d]{4})/(?P<month>[\d]+)/(?P<pk>[\d]+)/$',
        EventDetail.as_view(), name='event-detail'),
    url(r'^(?P<year>[\d]{4})/(?P<month>[\d]+)/(?P<pk>[\d]+)/add_dates/$',
        EventSeriesForm.as_view(), name='eventseries-form'),
    url(r'^(?P<year>[\d]{4})/(?P<month>[\d]+)/(?P<pk>[\d]+)/edit/$',
        EventForm.as_view(), name='event-form'),
    url(r'^add/$', EventForm.as_view(), name='event-form'),
    url(r'^archive/$', EventArchiveIndex.as_view(), name='event-archive'),
)
